%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/xmllint perl(Carp.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Path.pm) perl(HTML/Entities.pm) perl(POSIX.pm) perl(Test/More.pm) perl(Text/Iconv.pm) perl(base.pm) perl(blib.pm)
# END SourceDeps(oneline)
%define module_version 0.06
%define module_name jsFind
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: generate index for full text search engine in JavaScript
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DP/DPAVLIN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module can be used to create index files for jsFind, powerful tool for
adding a search engine to a CDROM archive or catalog without requiring the
user to install anything. 

Main difference between this module and scripts delivered with jsFind are:

=over 5

=item *

You don't need to use swish-e to create index

=item *

you can programatically (and incrementaly) create index for jsFind

=item *

you can create more than one index and search them using same `search.html'
page

=back

You can also examine examples which come as tests with this module,
for example `t/04words.t' or `t/10homer.t'.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/j*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

